Module (Barbecue 1.0.6d API)
Keywords: net.sourceforge.barbecue.Module class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.barbecue
Class Module

    java.lang.Object
      net.sourceforge.barbecue.Module

Direct Known Subclasses:
  BlankModule, CompositeModule, PDF417Module, SeparatorModule

public class Module
extends java.lang.Object

Internal class that is used to organise barcode data into groups of bars.

Note: You should not instantiate this class directly.

Author:
  Ian Bourke

Field Summary
`protected int[]` | `bars` The specification of bars that makes up this module, in a list of bar widths in on, off order)

Constructor Summary
`Module(int[] bars)` Constructs a new Module with the given bar specification.

Method Summary
`protected double` | `draw(AbstractOutput output, double x, double y)` Draws the module to the given outputter at the specified origin.
`boolean` | `equals(java.lang.Object o)` Indicates whether some other object is "equal to" this one.
`java.lang.String` | `getSymbol()` Returns the symbol being encoded by this module.
`int` | `hashCode()` Returns a hash code value for the object.
`void` | `setSymbol(java.lang.String symbol)` Sets the symbol that this module encodes.
`java.lang.String` | `toString()` Returns a string representation of the object.
`int` | `widthInBars()` Returns the underlying total width of the bars from the bar specification (that is, the sum of original bar widths in base bar units).

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### bars

    protected final int[] bars

  The specification of bars that makes up this module, in a list of bar widths in on, off order)

Constructor Detail

### Module

    public Module(int[] bars)

  Constructs a new Module with the given bar specification.

Parameters:
  `bars` - The bar specification

Method Detail

### getSymbol

    public java.lang.String getSymbol()

  Returns the symbol being encoded by this module.

  Returns:
    The symbol encoded by this module

### setSymbol

    public void setSymbol(java.lang.String symbol)

  Sets the symbol that this module encodes.

  Parameters:
    `symbol` - The symbol being encoded by this module

### widthInBars

    public int widthInBars()

  Returns the underlying total width of the bars from the bar specification (that is, the sum of original bar widths in base bar units).

  Returns:
    The total width of bars in base (unscaled) units

### draw

    protected double draw(AbstractOutput output,
                          double x,
                          double y)

  Draws the module to the given outputter at the specified origin.

  Parameters:
    `output` - The outputter to draw to
    `x` - The X component of the origin
    `y` - The Y component of the origin
  Returns:
    The total width drawn

### equals

    public boolean equals(java.lang.Object o)

  Indicates whether some other object is "equal to" this one.

  The `equals` method implements an equivalence relation:

  - It is reflexive: for any reference value `x`, `x.equals(x)` should return `true`.
  - It is symmetric: for any reference values `x` and `y`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
  - It is transitive: for any reference values `x`, `y`, and `z`, if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.
  - It is consistent: for any reference values `x` and `y`, multiple invocations of `x.equals(y)` consistently return `true` or consistently return `false`, provided no information used in `equals` comparisons on the object is modified.
  - For any non-null reference value `x`, `x.equals(null)` should return `false`.

  The `equals` method for class `Object` implements the most discriminating possible equivalence relation on objects; that is, for any reference values `x` and `y`, this method returns `true` if and only if `x` and `y` refer to the same object (`x==y` has the value `true`).

  Parameters:
    `o` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `Boolean.hashCode()`

### hashCode

    public int hashCode()

  Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by `java.util.Hashtable`.

  The general contract of `hashCode` is:

  - Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
  - If two objects are equal according to the `equals(Object)` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
  - It is not required that if two objects are unequal according to the `Object.equals(Object)` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables.

  As much as is reasonably practical, the hashCode method defined by class `Object` does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)

  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(Object)`

### toString

    public java.lang.String toString()

  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD